| Version: 3.3.1

Public Member Functions | Public Attributes | List of all members
wxWebViewConfigurationChromium Class Reference

`#include <wx/webview_chromium.h>`

## Detailed Description

Chromium-specific configuration parameters.

This simple class contains parameters that can be passed to the function initializing CEF when wxWebView is used for the first time.

To use this struct you need to cast the value returned from wxWebViewConfiguration::GetNativeConfiguration() to this type:

wxWebViewConfiguration config =
wxWebView::NewConfiguration(wxWebViewBackendChromium);
auto configChrome =
static_cast<wxWebViewConfigurationChromium*>(config.GetNativeConfiguration());
configChrome->m_logLevel = 99; // Disable all logging.
wxWebViewConfigurationChromium
Chromium-specific configuration parameters.
Definition: webview_chromium.h:365
wxWebViewConfigurationChromium::m_logLevel
int m_logLevel
Logging level to use for CEF.
Definition: webview_chromium.h:389
wxWebViewConfiguration
This class allows access to web view configuration options and settings, that have to be specified be...
Definition: webview.h:297
wxWebViewConfiguration::GetNativeConfiguration
virtual void * GetNativeConfiguration() const
Returns the pointer to the native configuration used during creation of a wxWebView.
wxWebView::NewConfiguration
static wxWebViewConfiguration NewConfiguration(const wxString &backend=wxWebViewBackendDefault)
Create a new wxWebViewConfiguration object.

Since
  3.3.0

## Public Member Functions
| wxWebViewConfigurationChromium ()
| Default constructor initializes the object to default parameters. More...

## Public Attributes
wxString | m_logFile
| CEF log file location. More...
int | m_logLevel = 0
| Logging level to use for CEF. More...
int | m_remoteDebuggingPort = 0
| Port for remote debugging if non-zero. More...
CefClient *(* | m_clientCreate )(CefClient *client, void *data) = nullptr
| Function to create the custom CefClient to use if non-null. More...
void * | m_clientCreateData = nullptr
| Data to pass to m_clientCreate if it is used. More...

## Constructor & Destructor Documentation

## ◆ wxWebViewConfigurationChromium()

wxWebViewConfigurationChromium::wxWebViewConfigurationChromium | ( |  | ) |

Default constructor initializes the object to default parameters.

## Member Data Documentation

## ◆ m_clientCreate

CefClient*(* wxWebViewConfigurationChromium::m_clientCreate) (CefClient *client, void *data) = nullptr

Function to create the custom CefClient to use if non-null.

CEF uses an object of CefClient class to customize handling of many operations, by allowing to return custom objects from its callbacks, and for processing IPC messages received from the other processes used by CEF. By defining this function pointer, the application can use its own CefClient subclass to customize many aspects of CEF behaviour beyond what is possible using the standard wxWebView API.

Please note that the returned object must delegate all not otherwise implemented functions to the provided client (and should always delegate the lifetime-related callbacks). You can ensure that this is the case by deriving your custom CefClient subclass from wxDelegatingCefClient, but you still need to do it manually if not using this class.

## ◆ m_clientCreateData

void* wxWebViewConfigurationChromium::m_clientCreateData = nullptr

Data to pass to m_clientCreate if it is used.

This is just an arbitrary pointer, which is passed as argument to m_clientCreate function if it is non-null.

This pointer itself may be null if it is not necessary to pass any extra data to the client creation function.

## ◆ m_logFile

wxString wxWebViewConfigurationChromium::m_logFile

CEF log file location.

Should be an absolute path if specified.

If this variable is empty, `debug.log` under the data directory is used.

## ◆ m_logLevel

int wxWebViewConfigurationChromium::m_logLevel = 0

Logging level to use for CEF.

This must be one of `cef_log_severity_t` values.

Default value 0 means to use default "INFO" log level.

## ◆ m_remoteDebuggingPort

int wxWebViewConfigurationChromium::m_remoteDebuggingPort = 0

Port for remote debugging if non-zero.

Settings this to non-zero value, e.g. 9223 which is commonly used, enables Chrome remote debugging on the given port.